> For the complete documentation index, see [llms.txt](https://docs.adpage.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adpage.io/extensions/extensions-nl/plugins/wordpress-plugin.md).

# WordPress-plugin

Installeer en valideer AdPage Tagging voor je WordPress-site.

Gebruik de WordPress-plugin AdPage Tagging om ondersteunde formulierinzendingen te volgen.

<a href="https://is.wordpress.org/plugins/tagging/" class="button primary" data-icon="wordpress">Installeer vanaf WordPress.org</a>

### Voordat je begint

Zorg dat je toegang hebt tot je WordPress-beheeromgeving en je Google Tag Manager-container. Verwijder dubbele formuliertracking voordat je de plugin test.

De plugin ondersteunt Contact Form 7 en Gravity Forms.

### Installeer de plugin

{% stepper %}
{% step %}

#### AdPage Tagging installeren

Open de pluginvermelding en selecteer **Download**. Ga in WordPress naar **Plugins → Nieuwe toevoegen → Plugin uploaden**. Upload en activeer de plugin.
{% endstep %}

{% step %}

#### Rond de configuratie van de plugin af

Open de instellingen van AdPage Tagging in WordPress. Voltooi de vereiste configuratie voor je website.
{% endstep %}

{% step %}

#### Publiceer je wijzigingen

Sla de plugininstellingen op en publiceer je Google Tag Manager-container. Gebruik de voorvertoningsmodus voordat je productiewijzigingen publiceert.
{% endstep %}
{% endstepper %}

### Controleer de installatie

Gebruik Google Tag Manager-voorvertoning om je website te testen. Verstuur tijdens één testsessie een ondersteund formulier.

Bevestig de `trytagging_generate_lead` event in de datalayer verschijnt. Controleer of het event de verwachte formuliervelden bevat.

Zie [generate\_lead dataLayer (Contactform7 & GravityForms)](https://docs.adpage.io/documentation/documentation-nl/integraties-websites/woocommerce/generate_lead-datalayer-contactform7-and-gravityforms.md) om van dit event een GA4-conversie te maken.

### Beschikbare WordPress-gebeurtenissen

De plugin verstuurt dit event wanneer een ondersteund formulier wordt verzonden:

* `trytagging_generate_lead`

Het event bevat de verzonden formuliergegevens in `form_data`. Veldnamen zijn afhankelijk van je formulierconfiguratie.

{% hint style="warning" %}
Verzend tijdens het testen geen echte klantgegevens. Gebruik een testformulier en testcontactgegevens.
{% endhint %}

### Probleemoplossing

Als het event niet verschijnt, controleer dan of de plugin actief is. Controleer vervolgens of het verzonden formulier Contact Form 7 of Gravity Forms gebruikt.

Als events dubbel voorkomen, schakel overlappende formulier- of tagmanagerintegraties uit. Test opnieuw in een incognitovenster nadat je sitegegevens hebt gewist.

### Instellingen

#### Webhook

Hiermee stel je de trigger voor de bestelstatus in voor het verzenden van de webhook.

#### Google Business-vertical

Met deze instelling kun je een parameterwaarde in de datalayer instellen voor een vertical

#### Debugmodus

Wordt gebruikt om logging toe te voegen voor foutopsporing

#### Plaats GTM-scripts zelf

Deze optie laadt het GTM-script niet, maar de andere functies van de plugin werken wel.

#### Gebruik de oude aankoopflow

De trigger voor de aankoopflow is gebaseerd op een hook van WooCommerce-aankoop. Deze instelling activeert een andere bron als trigger voor de aankoop. Hierbij worden meerdere hooks met id's gebruikt die een aankoop activeren wanneer de eerstvolgende mogelijke pagina wordt geladen. We raden niet aan deze instelling standaard te activeren.&#x20;

#### Voorkom dubbele scriptinjectie

Schakel dit in wanneer de GTM-container meer dan één keer per pagina wordt geladen. Hiermee activeer je een functie die meerdere GTM-scripts blokkeert.

#### Cookiebeheer

Alle paginaladingen worden gecachet. Op de server worden cookies in de cache geplaatst en aan de clientzijde wordt dit niet gecachet. Dit is om te bepalen waar de cookies worden ingesteld.\ <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.adpage.io/extensions/extensions-nl/plugins/wordpress-plugin.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
